# current = mdv2007.0
%define build_current	1
%define build_80	0
%define build_7x	0

Name:		fetchmail
Version:	6.3.9
%define subrel 1
Release:	%mkrel 1
Group:		Networking/Mail
BuildRequires:	bison flex gettext-devel openssl-devel
Summary: 	Full-featured POP/IMAP mail retrieval daemon
Source:		http://download.berlios.de/fetchmail/%name-%version.tar.bz2
Source2:	http://download.berlios.de/fetchmail/%name-%version.tar.bz2.asc
Source3:	fetchmailconf.desktop.bz2
Source4:	fetchmail.sysconfig.bz2
Source5:	fetchmail.bz2
Source6:	fetchmail.gif
Patch0:		fetchmail-5.7.0-nlsfix.patch
Patch4:		fetchmail-6.3.6-verbose.patch
Patch7:		fetchmail-6.3.4-stripnul.patch
Patch8:		fetchmail-6.3.6-nonewline.patch
Patch9:		fetchmail-6.3.2-norootwarning.patch
Patch10:	fetchmail-6.3.6-CVE-2007-4565.patch
Patch11:	fetchmail-6.3.8-suse-CVE-2008-2711.patch
Patch12:	fetchmail-6.3.8-format_not_a_string_literal_and_no_format_arguments.diff
Patch13:	fetchmail-CVE-2009-2666.patch
License: 	GPL
URL: 		http://www.fetchmail.info

%if %{build_current}
Requires: 	MailTransportAgent
%endif
%if %{build_80}
Requires:	MailTransportAgent smtpdaemon
%endif
%if %{build_7x}
Requires:	smtpdaemon
%endif
BuildRequires: emacs-bin
BuildRequires: gettext
BuildRequires: python
BuildRoot: 	%_tmppath/%name-%version-buildroot


%description
Fetchmail is a free, full-featured, robust, and well-documented remote mail
retrieval and forwarding utility intended to be used over on-demand TCP/IP
links (such as SLIP or PPP connections).

It retrieves mail from remote mail servers and forwards it to your local
(client) machine's delivery system, so it can then be read by normal
mail user agents such as Mutt, Elm, Pine, (X)Emacs/Gnus or Mailx.

It comes with an interactive GUI configurator suitable for end-users.

Fetchmail supports every remote-mail protocol currently in use on the
Internet (POP2, POP3, RPOP, APOP, KPOP, all IMAPs, ESMTP ETRN) for
retrieval.  Then Fetchmail forwards the mail through SMTP, so you can
read it through your normal mail client.

%package -n fetchmailconf
Summary: 	A utility for graphically configuring your fetchmail preferences
Group: 		System/Configuration/Networking
Requires: 	tkinter
Requires: 	%name = %version


%description -n fetchmailconf
Fetchmailconf is a TCL/TK application for graphically configuring
your ~/.fetchmailrc preferences file.

Fetchmail has many options which can be daunting to the new user.

This utility takes some of the guesswork and hassle out of setting up
fetchmail.

%package daemon
Summary:	SySV init script for demonize fetchmail for retrieving emails
Group:		System/Base
Requires:	%name = %version
Requires(preun): rpm-helper
Requires(post): rpm-helper

%description daemon
SySV init script for demonize fetchmail for sucking emails.

%prep
%setup -q
%patch0 -p0
%patch4 -p1
#%patch7 -p1 -b .stripnul
%patch8 -p0 -b .nonewline
%patch9 -p0 -b .norootwarn
%patch12 -p0 -b .format_not_a_string_literal_and_no_format_arguments
%patch13 -p0 -b .CVE-2009-2666

%build
%serverbuild
export CFLAGS="$CFLAGS -g"
%configure2_5x  \
	--with-ssl=%_prefix	\
	--enable-RPA		\
	--enable-NTLM		\
	--enable-SDPS

# (tv) do not use %%make in order to workaround buggy parallel build:
make all

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%_libdir/rhs/control-panel,%_datadir/applets/Administration} \
	$RPM_BUILD_ROOT{%_sysconfdir/{X11/wmconfig,sysconfig},%_mandir/man1,%_initrddir}

%makeinstall

install rh-config/*.{xpm,init} $RPM_BUILD_ROOT%_libdir/rhs/control-panel

%if %{mdkversion} < 200610
bzcat %SOURCE3 > $RPM_BUILD_ROOT%_datadir/applets/Administration/fetchmailconf.desktop
%endif
bzcat %SOURCE4 > $RPM_BUILD_ROOT%_sysconfdir/sysconfig/fetchmail
bzcat %SOURCE5 > $RPM_BUILD_ROOT%_initrddir/fetchmail

echo -e "# Put here each user config\n" > $RPM_BUILD_ROOT/etc/fetchmailrc

rm -rf contrib/RCS
chmod 644 contrib/*
find -name \*.xpm -exec chmod 644 '{}' \;

# Mandriva menu entry
mkdir -p $RPM_BUILD_ROOT/{%_liconsdir,%_miconsdir,%_menudir}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Fetchmailconf
Comment=Full-featured POP/IMAP mail retrieval daemon
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Configuration-Other;Settings;
EOF

%find_lang %name

cat > README.fetchmail-conf <<EOF
Fetchmailconf is a TCL/TK application for graphically configuring your
~/.fetchmailrc preferences file.

Fetchmail has many options which can be daunting to the new user.


This utility takes some of the guesswork and hassle out of setting up
fetchmail.
EOF

echo 'SySV init script for demonize fetchmail for sucking emails.'>README.fetchmail-daemon

# emacs, I use it, I want it
# yves 5.9.5-2mdk
mkdir -p $RPM_BUILD_ROOT%_datadir/emacs/site-lisp
install -m 644 contrib/fetchmail-mode.el $RPM_BUILD_ROOT%_datadir/emacs/site-lisp
emacs -batch -f batch-byte-compile $RPM_BUILD_ROOT%_datadir/emacs/site-lisp/fetchmail-mode.el

install -d $RPM_BUILD_ROOT%_sysconfdir/emacs/site-start.d
cat <<EOF >$RPM_BUILD_ROOT%_sysconfdir/emacs/site-start.d/%name.el
(setq auto-mode-alist (append '(("\..fetchmailrc$" . fetchmail-mode)) auto-mode-alist))
(autoload 'fetchmail-mode "fetchmail-mode.el" "Mode for editing .fetchmailrc files" t)
EOF

%clean
rm -rf $RPM_BUILD_ROOT


%if %mdkversion < 200900
%post -n fetchmailconf
%update_menus
%endif

%if %mdkversion < 200900
%postun -n fetchmailconf
%clean_menus
%endif

%post -n fetchmail-daemon
%_post_service fetchmail

%preun -n fetchmail-daemon
%_preun_service fetchmail

%files -f %name.lang
%defattr (-, root, root)
%doc COPYING FAQ FEATURES INSTALL NEWS NOTES README
%doc contrib fetchmail-features.html fetchmail-FAQ.html design-notes.html
%_bindir/fetchmail
%_datadir/emacs/site-lisp/fetchmail-mode.el
%config(noreplace) %_sysconfdir/emacs/site-start.d/%name.el
%_mandir/man1/fetchmail.1*
%_datadir/emacs/site-lisp/fetchmail-mode.elc

%files -n fetchmailconf
%defattr(-,root,root)
%doc README.fetchmail-conf
%_libdir/rhs/control-panel/*
%_bindir/fetchmailconf
%_mandir/man1/fetchmailconf.1*
%if %{mdkversion} < 200610
%_datadir/applets/Administration/fetchmailconf.desktop
%_libdir/python*/site-packages/*
%else
%{_datadir}/applications/
%py_purelibdir/site-packages/*
%endif

%files daemon
%defattr(-,root,root)
%doc README.fetchmail-daemon
%attr(600,root,root) %config(noreplace,missingok) %_sysconfdir/fetchmailrc
%config(noreplace) %{_sysconfdir}/sysconfig/fetchmail
%attr(755,root,root) %config(noreplace) %_initrddir/fetchmail




%changelog
* Wed Aug 12 2009 Oden Eriksson <oeriksson@mandriva.org> 6.3.9-1.1mdv2009.1
- P13: security fix for CVE-2009-2666 (suse)

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 6.3.9-1mdv2009.1
+ Revision: 332918
- Add asc file
- New upstream release\n Disable patch7

* Sat Dec 27 2008 Funda Wang <fundawang@mandriva.org> 6.3.8-10mdv2009.1
+ Revision: 319683
- rebuild for new python

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.org> 6.3.8-9mdv2009.1
+ Revision: 316637
- rediffed some fuzzy patches
- fix build with -Werror=format-security (P12)

* Tue Jun 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 6.3.8-8mdv2009.0
+ Revision: 228564
- Patch 11: security fix for CVE-2008-2711

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 6.3.8-7mdv2009.0
+ Revision: 218423
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 24 2008 Oden Eriksson <oeriksson@mandriva.org> 6.3.8-7mdv2008.1
+ Revision: 157337
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild with fixed %%serverbuild macro

* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 6.3.8-5mdv2008.1
+ Revision: 149722
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- s/Mandrake/Mandriva/

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 12 2007 Thierry Vignaud <tvignaud@mandriva.com> 6.3.8-4mdv2008.0
+ Revision: 84666
- patch 10: security fix for CVE-2007-4565 (#33470)

* Thu Aug 23 2007 Funda Wang <fundawang@mandriva.org> 6.3.8-3mdv2008.0
+ Revision: 70697
- drop old menu
- fix comment in xdg desktop entry

* Wed Jul 04 2007 Andreas Hasenack <andreas@mandriva.com> 6.3.8-2mdv2008.0
+ Revision: 48221
- s/Icon/Source/
- rebuild with new serverbuild macro (-fstack-protector-all)
- updated URL

* Fri Apr 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 6.3.8-1mdv2008.0
+ Revision: 16101
- new release


* Tue Jan 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 6.3.6-1mdv2007.0
+ Revision: 109531
- update GPG signature
- new release
- update & bunzip2 patches 4 & 6

  + Emmanuel Andry <eandry@mandriva.org>
    - Import fetchmail

* Thu Aug 31 2006 Giuseppe Ghib <ghibo@mandriva.com> 6.3.4-3mdv2007.0
- Split Patch7 into Patch8 and improved Patch8 to fix missed newlines
  in malformed mails.
- Renamed old Patch8 to Patch9.
- xdg menu.

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 6.3.4-2mdk
- rebuild for sparc

* Sun Apr 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.3.4-1mdk
- new release

* Thu Mar 23 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 6.3.2-2mdk
- Patch 8: don't warn when running as root
- Fix permissions of .xpm files

* Fri Jan 27 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.3.2-1mdk
- new release (including security fix for CVE-2005-4348)

* Wed Jan 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.3.1-6mdk
- fix preun script

* Wed Jan 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.3.1-5mdk
- fix build on x86_64
- fix prereq

* Sat Jan 14 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 6.3.1-4mdk
- add BuildRequires: python

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 6.3.1-3mdk
- fix typo in initscript

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 6.3.1-2mdk
- convert parallel init to LSB

* Wed Jan 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.3.1-1mdk
- new release
- new URL
- include signature
- source 5: add support for parallel init
- drop patches 6, 8 and 9 (merged upstream)
- rediff patch 7

* Wed Nov 16 2005 Thierry Vignaud <tvignaud@mandriva.com> 6.2.5-13mdk
- P8: security fix for CVE-2005-3088
- P9: missing fix for CAN-2005-2355

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 6.2.5-12mdk
- rebuilt against openssl-0.9.8a

* Mon Jul 25 2005 Olivier Blin <oblin@mandriva.com> 6.2.5-11mdk
- fix typo in Patch7 that makes fetchmailconf unusable (#15748)

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 6.2.5-10mdk
- rebuilt because the binary got lost in cyberspace

* Thu Feb 10 2005 Giuseppe Ghib <ghibo@mandrekesoft.com> 6.2.5-9mdk
- Improved Patch7 to fix another problem with NUL characters occurring
  with lines longer than 8191 characters.

* Thu Feb 03 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 6.2.5-8mdk
- Added 'stripnul' option to avoid mail containing NUL characters
  (causing bouncing to cyrus-imapd/lmtp).

* Thu Dec 30 2004 Stefan van der Eijk <stefan@mandrake.org> 6.2.5-7mdk
- BuildRequires: byacc --> bison

* Wed Dec 08 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 6.2.5-6mdk
- fetchmail-daemon: Make the fetchmail polling interval configurable in
  /etc/sysconfig/fetchmail

* Sat Apr 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.2.5-5mdk
- relink against fixed libintl

* Wed Apr 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.2.5-4mdk
- workaround buggy parallel build
- rebuild for new gettext libraries

* Tue Mar 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.2.5-3mdk
- patch 6: fix APOP managment

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 6.2.5-2mdk
- Fix menu

